summaryrefslogtreecommitdiffstats
path: root/catalog-be/sdc-backend-init/startup.sh
diff options
context:
space:
mode:
authorbhoopender.singh@t-systems.com <bhoopender.singh@t-systems.com>2025-01-19 21:56:17 +0100
committerBhoopender singh <bhoopender.singh@t-systems.com>2025-01-20 11:00:47 +0000
commit7529a63846644ae84d33b8c0588f24fb258f27d5 (patch)
tree93384362a0c2b8f057254a66bc0b5a06352ed3d4 /catalog-be/sdc-backend-init/startup.sh
parent1ae1d02db27d1971162d162468614fec8017ce69 (diff)
Chef removal for catalog-be module.
- Removal of Chef recipes in the module. - Introduction of shell scripts in the module to replace some recipes. - Generation of module configuration using Charts. - Introduction of config files in integration tests to simulate files generated by Charts in the module. Issue-ID: SDC-4697 Change-Id: Ib7e1e3432437d1857403dfb5d16dd95187934129 Signed-off-by: bhoopender.singh@t-systems.com <bhoopender.singh@t-systems.com>
Diffstat (limited to 'catalog-be/sdc-backend-init/startup.sh')
-rw-r--r--catalog-be/sdc-backend-init/startup.sh16
1 files changed, 14 insertions, 2 deletions
diff --git a/catalog-be/sdc-backend-init/startup.sh b/catalog-be/sdc-backend-init/startup.sh
index e216341882..e35bab3aad 100644
--- a/catalog-be/sdc-backend-init/startup.sh
+++ b/catalog-be/sdc-backend-init/startup.sh
@@ -1,4 +1,16 @@
#!/bin/sh
-cd /home/"${user}"/chef-solo || exit $?
-chef-solo -c solo.rb -E "${ENVNAME}" \ No newline at end of file
+set -e
+
+
+log_script() {
+ script_name=$1
+ sh "$script_name" 2>&1 | sed "s|^|[$script_name] |" || \
+ echo "$script_name failed. Continuing with other scripts..." >&2
+}
+
+log_script "/home/onap/create_consumer_and_user.sh"
+log_script "/home/onap/check_backend.sh"
+log_script "/home/onap/import_normatives.sh"
+
+echo "Done"